Implementation of the 'headline' markup element. Create a h2 HTML element is created and the class lto-headline is added to allow CSS manipulations.

see

  IRenderable

### Hierarchy

- Headline

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Headline(spec: ISpecification): Headline

- - Defined in lib/renderable/headline/index.ts:13

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Headline

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/headline/index.ts:13

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/headline/index.ts:22

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc